Subject: Re: [PATCH] remove doubled words, e.g., s/to to/to/, and fix related typos

From: Jakub Narebski <[email-masked]>
Date: Wed, 13 Apr 2011 15:26:06 -0700 (PDT)

Jim Meyering <[email-masked]> writes:
> Drew Northup wrote:
>> On Wed, 2011-04-13 at 17:39 +0200, Jim Meyering wrote:

>>> I found that some doubled words had snuck back into projects from
>>> which I'd already removed them, so now there's a "syntax-check" makefile
>>> rule in gnulib to help prevent recurrence.  Running the command below
>>> spotted a few in git, too:
>>>
>>> This patch is relative to "next".
>>
>> Jim,
>> Try putting the output of git format-patch into your drafts folder, then
>> open that draft in your mail client. The output of format-patch isn't
>> meant to be pasted directly into a mail message.
> 
> I hope I haven't caused Junio or anyone else undue trouble.
> I know well how format-patch output can be used, but in the vast
> majority of patch-including messages I send, I include format-patch
> output mainly as an FYI, *following* commentary that does not
> belong in the log, so it's ok there -- desirable, even.
> 
> I find it slightly backwards to have to put non-log (i.e, intro
> commentary) *after* the real log, and that's why I've developed
> this habit.
> 
> I'll try to remember to do it the other way when the
> recipient is more likely to apply the patch.

You can put patch _after_ commentary, but if you do it this way you
should include "scissors" line to make it possible to extract commit
part automatically by "git am --scissors", and remove unnecessary
headers.

In other words you had:

> From d21d6f61bbeeba4a754cdcded66ca86a709695ee Mon Sep 17 00:00:00 2001
> From: Jim Meyering <[email-masked]>
> Date: Wed, 13 Apr 2011 17:34:44 +0200
> Subject: [PATCH] remove doubled words, e.g., s/to to/to/, and fix related
>  typos
> 
> Run this command to identify suspects:

and you should have

  -- >8 --
  Run this command to identify suspects:

or in case author is different from email from

  -- >8 --
  From: Jim Meyering <[email-masked]>

  Run this command to identify suspects:

HTH
-- 
Jakub Narebski
Poland
ShadeHawk on #git